bm::compute_sim_matrix_plan_builder< BV >::task_batch Struct Reference

`#include <bmsparsevec_parallel.h>`

Inheritance diagram for bm::compute_sim_matrix_plan_builder< BV >::task_batch:
[legend]
Collaboration diagram for bm::compute_sim_matrix_plan_builder< BV >::task_batch:
[legend]

## Public Types

typedef bm::task_batch< allocator_type > | parent_type
typedef parent_type::task_vector_type | task_vector_type
Public Types inherited from bm::task_batch< allocator_type >
typedef allocator_type | bv_allocator_type
typedef task_batch_base::size_type | size_type
typedef std::vector< bm::task_descr > | task_vector_type
Public Types inherited from bm::task_batch_base
typedef unsigned | size_type

## Additional Inherited Members

Public Member Functions inherited from bm::task_batch< allocator_type >
virtual size_type | size () const BMNOEXCEPT
| task_batch_base intreface implementation
virtual bm::task_descr * | get_task (size_type task_idx)
| Get task by index in the batch.
task_vector_type & | get_task_vector () BMNOEXCEPT
| Get access to internal task vector.
const task_vector_type & | get_task_vector () const BMNOEXCEPT
void | add (task_function_t f, void *argptr)
Public Member Functions inherited from bm::task_batch_base
virtual | ~task_batch_base ()
Protected Attributes inherited from bm::task_batch< allocator_type >
task_vector_type | task_vect_
| list of tasks

## Detailed Description

template<typename BV>
struct bm::compute_sim_matrix_plan_builder< BV >::task_batch

Definition at line 112 of file bmsparsevec_parallel.h.

## Member Typedef Documentation

## parent_type

template<typename BV>

typedef bm::task_batch<allocator_type> bm::compute_sim_matrix_plan_builder< BV >::task_batch::parent_type

Definition at line 114 of file bmsparsevec_parallel.h.

## task_vector_type

template<typename BV>

typedef parent_type::task_vector_type bm::compute_sim_matrix_plan_builder< BV >::task_batch::task_vector_type

Definition at line 115 of file bmsparsevec_parallel.h.

The documentation for this struct was generated from the following file:

- bmsparsevec_parallel.h